New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

OctoPi 0.16.0 RC1 Status #571

Closed
guysoft opened this Issue Jan 24, 2019 · 17 comments

Comments

Projects
None yet
9 participants
@guysoft
Copy link
Owner

guysoft commented Jan 24, 2019

Please try the release candidate.
Download it at:
https://storage.googleapis.com/octoprint/2019-01-24_2018-11-13-octopi-stretch-lite-0.16.0.zip

Md5: 547babcd648f78e2d29e089dfd7e3538.

Changes in the image

  • Raspberrypi 3A+ support
  • linux kernel 4.14.79-v7+ from new base image 2018-11-13-octopi-stretch-lite
  • OctoPrint 1.3.10
  • Bug fixes

Build notes

  • Uses CustomPiOS 1.1.0
  • Our nightly/release builds have moved to the new Docker build supported in CustomPiOS 1.1.0. You can still use the vagrant build method.
@tdub415

This comment has been minimized.

Copy link

tdub415 commented Jan 25, 2019

Gonna throw this on a pi zero w for my monoprice mini :)

Anything in particular I should watch for?

@Deneteus

This comment has been minimized.

Copy link

Deneteus commented Jan 26, 2019

Ready to test!

@Deneteus

This comment has been minimized.

Copy link

Deneteus commented Jan 26, 2019

I tried upgrading an existing install to the RC by following this FAQ and nothing happened.

https://discourse.octoprint.org/t/how-to-use-the-release-channels-to-help-test-release-candidates/402

@tdub415

This comment has been minimized.

Copy link

tdub415 commented Jan 26, 2019

That's for octoprint, for octopi you'll need to flash the image to a SD card

@ShohninDmitriy

This comment has been minimized.

Copy link

ShohninDmitriy commented Jan 26, 2019

On the 0.16.0 version for about 5 months, there have been no problems not identified . The images he collected from from sources.

@Deneteus

This comment has been minimized.

Copy link

Deneteus commented Jan 26, 2019

That's for octoprint, for octopi you'll need to flash the image to a SD card

I already had a couple cards I had upgraded the day before this post so I will just use those. I looked at the file info and they were the same. Is there an FAQ for how to upgrade without re-flashing?

@guysoft

This comment has been minimized.

Copy link
Owner Author

guysoft commented Jan 26, 2019

@reverendbacon

This comment has been minimized.

Copy link

reverendbacon commented Jan 26, 2019

deploying today, thanks for the development

@Mohoganogan

This comment has been minimized.

Copy link

Mohoganogan commented Jan 27, 2019

Should "PIP" be upgraded? shows version 9 is installed but version 19 is available.
screen shot 2019-01-27 at 6 42 28 am

@guysoft

This comment has been minimized.

Copy link
Owner Author

guysoft commented Jan 27, 2019

At the moment pip 9.0.3 is hardcoded in to the build because of #526

@foosel I guss since we are on 1.9.10 we can lift this?

https://github.com/guysoft/OctoPi/blob/devel/src/modules/octopi/start_chroot_script#L40

@tedder

This comment has been minimized.

Copy link

tedder commented Jan 27, 2019

wrong screenshot? heh

@ShohninDmitriy

This comment has been minimized.

Copy link

ShohninDmitriy commented Jan 27, 2019

DEPRECATION: Python 2.7 will reach the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 won't be maintained after that date. A future version of pip will drop support for Python 2.7.

@John-Mc

This comment has been minimized.

Copy link

John-Mc commented Jan 27, 2019

Gina has announced that OctoPrint 1.4 will be Python 3.

@guysoft

This comment has been minimized.

Copy link
Owner Author

guysoft commented Jan 29, 2019

Ok, so there was a bug in the CI, and RC1 was only built against commit fb7093b

Issue was fixed and now will build against latest master. Expect RC2

@voy13k

This comment has been minimized.

Copy link

voy13k commented Jan 29, 2019

Hello, Raspberrypi 3A+ with ender 3, stock firmware:
autoconnect on server startup option is ticked, but does not seem o autoconnect. Option tick is preserved across server or system restarts, but no effect. After manually connecting all works so far.

@guysoft

This comment has been minimized.

Copy link
Owner Author

guysoft commented Jan 30, 2019

Closing, use #577

@guysoft guysoft closed this Jan 30, 2019

@guysoft

This comment has been minimized.

Copy link
Owner Author

guysoft commented Jan 30, 2019

@voy13k Did that work in 0.15.1 for you? Is this s regression or just auto does not work?

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment